VisualEditor: Reverse selections break copy paste functionality
Closed, ResolvedPublic

Description
  • Select some text forwards and copy-paste it, everything is great.
  • Select some text backwards and copy-paste it, you now have an extra linebreak.

?!???!


Version: unspecified
Severity: normal

bzimport set Reference to bz51538.
Esanders created this task.Via LegacyJul 17 2013, 3:14 PM
Thryduulf added a comment.Via ConduitAug 17 2013, 9:46 AM

I can confirm this is still happening in Firefox 23/linux

gerritbot added a comment.Via ConduitAug 21 2013, 9:25 PM

Change 80299 had a related patch set uploaded by Esanders:
Fix copy and paste of backwards selction

https://gerrit.wikimedia.org/r/80299

gerritbot added a comment.Via ConduitAug 22 2013, 6:14 PM

Change 80299 merged by jenkins-bot:
Fix copy and paste of backwards selction

https://gerrit.wikimedia.org/r/80299

Jdforrester-WMF added a comment.Via ConduitAug 22 2013, 6:17 PM

Now merged; will go out with next push.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.